# Contributing to Iprocs

:+1::tada:  First off, thanks for taking the time to contribute! :tada::+1:

The following is a set of guidelines for contributing to Iprocs, which are hosted in the IGBMC CBI platform GitLab. These are mostly guidelines, so feel free to propose any changes to this document in a pull request.

#### Table of contents

[Git Commit Messages](#git-commit-messages)

### Git Commit Messages
* Use the present tense ("Add feature" not "Added feature")
* Use the imperative mood ("Move cursor to..." not "Moves cursor to...")
* Limit the first line to 100 characters or less
* Consider starting the commit message with a meaningfull word:
    * feat: when adding a new feature
    * fix: when fixing a bug
    * refactor: when changing code formatting
    * removed: when removing code
    * test: when dealing with tests
    * doc: when writting docs
    * repo: when changing repository files or directories
    * wip: when actual work isn't definitive
    * security: when dealing with security