use schemars::JsonSchema;
use serde::{Deserialize, Serialize};
use uuid::Uuid;

#[derive(Serialize, Deserialize, JsonSchema)]
pub struct InsertNode {
    pub jobgroup_id: Uuid,
    pub x: f64,
    pub y: f64
}

#[derive(Serialize, Deserialize, JsonSchema)]
pub struct Node {
    pub id: Uuid,
    pub jobgroup_id: Uuid,
    pub x: f64,
    pub y: f64
}

#[derive(Serialize, Deserialize, JsonSchema)]
pub struct UpdateNode {
    pub jobgroup_id: Option<Uuid>,
    pub x: Option<f64>,
    pub y: Option<f64>
}

impl From<UpdateNode> for model::models::nodes::UpdateNode {
    fn from(n: UpdateNode) -> Self {
        Self {
            jobgroup_id: n.jobgroup_id,
            x: n.x,
            y: n.y
        }
    }
}

impl From<InsertNode> for model::models::nodes::NewNode {
    fn from(n: InsertNode) -> Self {
        Self {
            jobgroup_id: n.jobgroup_id,
            x: n.x,
            y: n.y
        }
    }
}

impl From<model::models::nodes::Node> for Node {
    fn from(n: model::models::nodes::Node) -> Self {
        Self {
            id: n.id,
            jobgroup_id: n.jobgroup_id,
            x: n.x,
            y: n.y
        }
    }
}
