use adapters::constants::Configurations;
use dto::config::*;

pub fn get_conf_list(configurations: Configurations) -> Configs {
    let mut configs = Configs::new();
    for (software, version_map) in configurations.into_iter() {
        for (version, job_map) in version_map.into_iter() {
            let mut node: ConfigNode = ConfigNode::new(software.clone(), version);
            for (job, conf) in job_map.into_iter() {
                node.jobs.insert(job, conf.uuid);
            }
            configs.softwares.push(node);
        }
    }
    configs
}