use diesel::result::Error;
use model::establish_connection;
use model::models::jobgroupassociations::*;
use uuid::Uuid;

pub fn insert(
    jobgroupassociation: NewJobGroupAssociation
) -> Result<model::models::jobgroupassociations::JobGroupAssociation, Error> {
    let mut connection = establish_connection();
    model::operations::jobgroupassociations::insert(&mut connection, jobgroupassociation)
}

pub fn find_by_id(
    id: Uuid
) -> Result<Option<model::models::jobgroupassociations::JobGroupAssociation>, diesel::result::Error>
{
    let mut connection = establish_connection();
    model::operations::jobgroupassociations::find_by_id(&mut connection, id)
}

pub fn update(id: Uuid, jobgroupassociation: UpdateJobGroupAssociation) -> Result<usize, Error> {
    let mut connection = establish_connection();
    model::operations::jobgroupassociations::update(&mut connection, id, jobgroupassociation)
}

pub fn delete(id: Uuid) -> Result<usize, Error> {
    let mut connection = establish_connection();
    model::operations::jobgroupassociations::delete(&mut connection, id)
}
