-- Your SQL goes here
CREATE TABLE users (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    team VARCHAR NOT NULL,
    identity VARCHAR
);
CREATE TABLE keys (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    user_id UUID NOT NULL REFERENCES users(id),
    register_date TIMESTAMP NOT NULL,
    token VARCHAR NOT NULL
);
ALTER TABLE projects
    ADD user_id UUID NOT NULL REFERENCES users(id);
CREATE TABLE workspaces (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    name VARCHAR NOT NULL,
    project_id UUID NOT NULL REFERENCES projects(id)
);
CREATE TABLE jobs (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    creation_date TIMESTAMP NOT NULL,
    start_date TIMESTAMP NOT NULL,
    name VARCHAR NOT NULL,
    output VARCHAR NOT NULL,
    job_type VARCHAR NOT NULL,
    version VARCHAR NOT NULL,
    software VARCHAR NOT NULL
);
CREATE TABLE jobgroups (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    input_job_id UUID NOT NULL REFERENCES jobs(id),
    workspace_id UUID NOT NULL REFERENCES workspaces(id)
);
CREATE TABLE parameters (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    job_id UUID NOT NULL REFERENCES jobs(id),
    name VARCHAR NOT NULL,
    value VARCHAR NOT NULL
);
CREATE TABLE nodes (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    jobgroup_id UUID NOT NULL REFERENCES jobgroups(id),
    x FLOAT NOT NULL,
    y FLOAT NOT NULL
);
CREATE TABLE jobgroupassociations (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    jobgroup_id UUID NOT NULL REFERENCES jobgroups(id),
    job_id UUID NOT NULL REFERENCES jobs(id),
    position INT NOT NULL
);
