use crate::models::jobgroups::JobGroup;
use crate::schema::jobgroupassociations;

#[derive(Queryable, Identifiable, Associations, Eq, PartialEq, Debug)]
#[diesel(belongs_to(JobGroup, foreign_key = jobgroup_id))]
#[diesel(table_name = jobgroupassociations)]
pub struct JobGroupAssociation {
    pub id: uuid::Uuid,
    pub jobgroup_id: uuid::Uuid,
    pub job_id: uuid::Uuid,
    pub position: i32,
}

#[derive(Insertable)]
#[diesel(table_name = jobgroupassociations)]
pub struct NewJobGroupAssociation<'a> {
    pub jobgroup_id: &'a uuid::Uuid,
    pub job_id: &'a uuid::Uuid,
    pub position: &'a i32,
}

#[derive(AsChangeset)]
#[diesel(table_name = jobgroupassociations)]
pub struct UpdateJobGroupAssociation {
    pub jobgroup_id: Option<uuid::Uuid>,
    pub job_id: Option<uuid::Uuid>,
    pub position: Option<i32>,
}
