use crate::models::workspaces::Workspace;
use crate::schema::jobgroups;
use uuid::Uuid;

#[derive(Queryable, Identifiable, Associations, Eq, PartialEq, Debug)]
#[diesel(belongs_to(Workspace))]
#[diesel(table_name = jobgroups)]
pub struct JobGroup {
    pub id: Uuid,
    pub input_job_id: Uuid,
    pub workspace_id: Uuid
}

#[derive(Insertable)]
#[diesel(table_name = jobgroups)]
pub struct NewJobGroup {
    pub input_job_id: Uuid,
    pub workspace_id: Uuid
}

#[derive(AsChangeset)]
#[diesel(table_name = jobgroups)]
pub struct UpdateJobGroup {
    pub input_job_id: Option<Uuid>,
    pub workspace_id: Option<Uuid>
}
