use crate::schema::jobs;

#[derive(Queryable, Identifiable, Eq, PartialEq, Debug)]
pub struct Job {
    pub id: uuid::Uuid,
    pub slurm_id: String,
    pub name: String,
    pub output: String,
    pub job_type: String,
    pub version: String,
    pub software: String
}

#[derive(Insertable)]
#[diesel(table_name = jobs)]
pub struct NewJob {
    pub slurm_id: String,
    pub name: String,
    pub output: String,
    pub job_type: String,
    pub version: String,
    pub software: String
}

#[derive(AsChangeset)]
#[diesel(table_name = jobs)]
pub struct UpdateJob {
    pub name: Option<String>,
    pub output: Option<String>,
    pub job_type: Option<String>,
    pub version: Option<String>,
    pub software: Option<String>
}
