use crate::models::users::User;
use crate::schema::keys;
use chrono::NaiveDateTime;

#[derive(Queryable, Identifiable, Associations, Eq, PartialEq, Debug)]
#[diesel(belongs_to(User, foreign_key = user_id))]
pub struct Key {
    pub id: uuid::Uuid,
    pub user_id: uuid::Uuid,
    pub register_date: NaiveDateTime,
    pub token: String,
    pub status: String
}

#[derive(Insertable)]
#[diesel(table_name = keys)]
pub struct NewKey {
    pub user_id: uuid::Uuid,
    pub register_date: NaiveDateTime,
    pub token: String,
    pub status: String
}
