use crate::models::jobgroups::JobGroup;
use crate::schema::nodes;

#[derive(Queryable, Identifiable, Associations, PartialEq, Debug)]
#[diesel(belongs_to(JobGroup, foreign_key = jobgroup_id))]
pub struct Node {
    pub id: uuid::Uuid,
    pub jobgroup_id: uuid::Uuid,
    pub x: f64,
    pub y: f64
}

#[derive(Insertable)]
#[diesel(table_name = nodes)]
pub struct NewNode {
    pub jobgroup_id: uuid::Uuid,
    pub x: f64,
    pub y: f64
}

#[derive(AsChangeset)]
#[diesel(table_name = nodes)]
pub struct UpdateNode {
    pub jobgroup_id: Option<uuid::Uuid>,
    pub x: Option<f64>,
    pub y: Option<f64>
}
