use crate::models::jobs::Job;
use crate::schema::parameters;
use uuid::Uuid;

#[derive(Queryable, Identifiable, Associations, Eq, PartialEq, Debug)]
#[diesel(belongs_to(Job))]
pub struct Parameter {
    pub id: Uuid,
    pub job_id: Uuid,
    pub name: String,
    pub value: String
}

#[derive(Insertable)]
#[diesel(table_name = parameters)]
pub struct NewParameter {
    pub job_id: Uuid,
    pub name: String,
    pub value: String
}

#[derive(AsChangeset)]
#[diesel(table_name = parameters)]
pub struct UpdateParameter {
    pub job_id: Option<Uuid>,
    pub name: Option<String>,
    pub value: Option<String>
}
