use crate::models::users::User;
use crate::schema::projects;

#[derive(Queryable, Identifiable, Associations, PartialEq, Eq, Debug)]
#[diesel(belongs_to(User))]
pub struct Project {
    pub id: uuid::Uuid,
    pub name: String,
    pub user_id: uuid::Uuid
}

#[derive(Insertable)]
#[diesel(table_name = projects)]
pub struct NewProject {
    pub name: String,
    pub user_id: uuid::Uuid
}

#[derive(AsChangeset)]
#[diesel(table_name = projects)]
pub struct UpdateProject {
    pub name: Option<String>,
    pub user_id: Option<uuid::Uuid>
}
