use crate::schema::users;

#[derive(Queryable, Identifiable, Eq, PartialEq, Debug)]
pub struct User {
    pub id: uuid::Uuid,
    pub team: String,
    pub identity: Option<String>
}

#[derive(Insertable)]
#[diesel(table_name = users)]
pub struct NewUser {
    pub team: String,
    pub identity: Option<String>
}

#[derive(AsChangeset)]
#[diesel(table_name = users)]
pub struct UpdateUser {
    pub team: Option<String>,
    pub identity: Option<String>
}
