use crate::models::projects::Project;
use crate::schema::workspaces;
use uuid::Uuid;

#[derive(Queryable, Identifiable, Associations, Eq, PartialEq, Debug)]
#[diesel(belongs_to(Project, foreign_key = project_id))]
pub struct Workspace {
    pub id: Uuid,
    pub name: String,
    pub project_id: Uuid
}

#[derive(Insertable)]
#[diesel(table_name = workspaces)]
pub struct NewWorkspace {
    pub name: String,
    pub project_id: Uuid
}

#[derive(AsChangeset)]
#[diesel(table_name = workspaces)]
pub struct UpdateWorkspace {
    pub name: Option<String>,
    pub project_id: Option<Uuid>
}
