use crate::schema::jobgroupassociations::dsl::jobgroupassociations;
use crate::schema::jobgroupassociations::*;
use diesel::prelude::*;
use uuid::Uuid;

use crate::models::jobgroupassociations::*;

pub fn insert(
    conn: &mut PgConnection,
    new_jobgroupassociation: NewJobGroupAssociation
) -> Result<JobGroupAssociation, diesel::result::Error> {
    use crate::schema::jobgroupassociations;
    let table_to_update = diesel::insert_into(jobgroupassociations::table);
    table_to_update
        .values(&new_jobgroupassociation)
        .get_result(conn)
}

pub fn update(
    conn: &mut PgConnection,
    jobgroupassociation_id: uuid::Uuid,
    jobgroupassociation: UpdateJobGroupAssociation
) -> Result<usize, diesel::result::Error> {
    diesel::update(jobgroupassociations.filter(id.eq(jobgroupassociation_id)))
        .set(jobgroupassociation)
        .execute(conn)
}

pub fn delete(
    conn: &mut PgConnection,
    jobgroupassociation_id: Uuid
) -> Result<usize, diesel::result::Error> {
    diesel::delete(jobgroupassociations.filter(id.eq(jobgroupassociation_id))).execute(conn)
}

pub fn find_by_id(
    conn: &mut PgConnection,
    jobgroupassociation_id: Uuid
) -> QueryResult<Option<JobGroupAssociation>> {
    jobgroupassociations
        .filter(id.eq(jobgroupassociation_id))
        .first::<JobGroupAssociation>(conn)
        .optional()
}

pub fn get_all(conn: &mut PgConnection) -> QueryResult<Vec<JobGroupAssociation>> {
    jobgroupassociations.load::<JobGroupAssociation>(conn)
}
