use std::fmt;

pub enum ErrorMessages {
    CreateFailed,
    UpdateFailed(String),
    DeleteFailed,
    IdNotFound,
    MissingRequestParameter(String),
}

#[cfg(not(tarpaulin_include))]
impl fmt::Display for ErrorMessages {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        match self {
            ErrorMessages::CreateFailed => write!(f, "Failed to create the project"),
            ErrorMessages::UpdateFailed(reason) => {
                write!(f, "Failed to update the project:{}", reason)
            }
            ErrorMessages::DeleteFailed => write!(f, "Failed to delete the project"),
            ErrorMessages::IdNotFound => write!(f, "Project id not found"),
            ErrorMessages::MissingRequestParameter(missingparameter) => {
                write!(f, "Missing parameter {} in the request", missingparameter)
            }
        }
    }
}
